The chat responses are generated using Generative AI technology for intuitive search and may not be entirely accurate. They are not intended as professional advice. For full details, including our use rights, privacy practices and potential export control restrictions, please refer to our Generative AI Service Privacy Information. As this is a test version, please let us know if something irritating comes up. Like you get recommended a chocolate fudge ice cream instead of an energy managing application. If that occurs, please use the feedback button in our contact form!
Skip to content

RESTful API for creating and managing various objects in the Lifecycle Twin.

Create

Use POST to create a new resource. Include the resource data in the request body.

POST /clientprojects

POST /api/clientprojects HTTP/1.1
clientname: <Client Name>
authorization: <Token> 

Request Body

{                     
    "Name": "My Project",
    "Latitude": 57,
    "Longitude": 13,
    "OwnerOrganization": {
        "Id": "bb601d80-0c8d-4a4d-bece-230ad4b12d9c"
    },
    "LeadOrganization": {
        "Id": "bb601d80-0c8d-4a4d-bece-230ad4b12d9c"
    },
    "Location": {
        "Id": "af9d605a-fae6-4ed4-b123-d37dea32f0c3"        
    }
}

Response

The API returns status code 200 (OK) when it successfully creates the resource. The response body contains the Id of the new resource.